
%global meadversion 2.3.26
%global namedversion 2.3.26.incubating-redhat-1
%global meadalpha .incubating_redhat_1
%global meadrel .1
%global serial 1
%global namedversionrel redhat-1

%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package %{?scl_prefix}freemarker}
%{!?scl:%global pkg_name %{name}}

%define maven_version 2.3.26.incubating-redhat-1

Name:           %{?scl_prefix}freemarker
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        FreeMarker
Group:          Development/Java

%if %with mead
Source100: freemarker-2.3.26.incubating-redhat-1-project-sources.tar.gz
Source102: freemarker-2.3.26.incubating-redhat-1-sources.jar
Source103: freemarker-2.3.26.incubating-redhat-1.pom
Source104: freemarker-2.3.26.incubating-redhat-1.jar
Source105: freemarker-2.3.26.incubating-redhat-1-javadoc.jar
%endif

License:        ASL 2.0
URL:            http://www.freemarker.org
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{namedversion}-%{release}-root

%description
FreeMarker is a "template engine"; a generic tool to generate text output based
on templates.

%if %with javadoc
%package javadoc
Summary:        Javadoc for freemarker
Group:          Development/Java

BuildRequires:  unzip

%description javadoc
%{summary}.
%endif

%prep
%setup -q -n %{pkg_name}-%{maven_version} -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/freemarker-%{namedversion}.jar %{buildroot}%{_javadir}/freemarker-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/freemarker-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/freemarker-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/freemarker-%{namedversion}-sources.jar %{buildroot}%{_javadir}/freemarker-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/freemarker-%{namedversion}
unzip -qq %{_sourcedir}/freemarker-parent-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/freemarker-%{namedversion} -x META-INF/\*
%{__ln_s} freemarker-%{namedversion} %{buildroot}%{_javadocdir}/freemarker
%endif

%clean
%{__rm} -rf %{buildroot}

%files -n %{?scl_prefix}freemarker
%defattr(0644,root,root,0755)
%doc LICENSE NOTICE README
%{_javadir}/freemarker-%{namedversion}.jar
%{_javadir}/freemarker.jar
%if %with javadoc
%{_javadir}/freemarker-%{namedversion}-javadoc.jar
%{_javadir}/freemarker-javadoc.jar
%endif
%{_javadir}/freemarker-%{namedversion}-sources.jar
%{_javadir}/freemarker-sources.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/freemarker-%{namedversion}
%{_javadocdir}/freemarker
%endif

%changelog
* Mon Dec 04 2017 Martin Kanis <mkanis@redhat.com> - 2.3.26-1.incubating_redhat_1.1
- Freemarker rebuild for RH-SSO 7.2.0.ER2

* Wed Sep 14 2016 Fernando Nasser <fnasser@redhat.com> - 2.3.23-5.redhat_3.1
- Upgrade to 2.3.23.redhat-3

* Fri Apr 08 2016 David Walluck <dwalluck@redhat.com> - 2.3.23-1.redhat_2.2
- release


